%define anolis_release 2
Name:          giflib
Summary:       A library and utilities for processing GIFs
Version:       5.2.2
Release:       %{anolis_release}%{dist}

License:       MIT
URL:           http://www.sourceforge.net/projects/%{name}/
Source:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# Downstream cmake support
Source1:       CMakeLists.txt

# https://sourceforge.net/p/giflib/bugs/_discuss/thread/c2fde05fda/aa61/attachment/0001-Fix-heap-buffer-overflow-CVE-2023-48161.patch
Patch0001: 0001-Fix-heap-buffer-overflow-CVE-2024-45993.patch

BuildRequires: cmake
BuildRequires: gcc
BuildRequires: xmlto

%description
giflib is a library for reading and writing gif images.


%package devel
Summary:       Development files for programs using the giflib library
Requires:      %{name} = %{version}-%{release}

%description devel
The giflib-devel package includes header files, libraries necessary for
developing programs which use the giflib library.


%package utils
Summary:       Programs for manipulating GIF format image files
Requires:      %{name} = %{version}-%{release}

%description utils
The giflib-utils package contains various programs for manipulating GIF
format image files.

%prep
%autosetup -p1
cp -a %{SOURCE1} .


%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc ChangeLog NEWS README
%license COPYING
%{_libdir}/libgif.so.7*

%files devel
%doc doc/*
%{_libdir}/libgif.so
%{_includedir}/gif_lib.h

%files utils
%{_bindir}/gif*
%{_mandir}/man1/*.1*

%changelog
* Wed Apr 09 2025 tomcruiseqi <qizengtian@inspur.com> - 5.2.2-2
- Fix CVE-2024-45993

* Fri Jun 28 2024 NewStart <os@gd-linux.com> - 5.2.2-1
- Updated 5.2.2 to fix CVE-2023-48161

* Fri Sep 15 2023 Funda Wang <fundawang@yeah.net> - 5.2.1-4
- Fix CVE-2022-28506 & CVE-2023-39742

* Fri Mar 10 2023 Funda Wang <fundawang@yeah.net> - 5.2.1-3
- Drop mingw support

* Mon Sep 05 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.2.1-2
- remove _isa

* Wed Apr 13 2022 Zhongling He <zhonglingh@linux.alibaba.com> - 5.2.1-1
- Init package from upstream v5.2.1
